#include <iostream>
#include <algorithm>
using namespace std;

int premesti(int niz[], int n, int broj, int pozicija) {
	int index = -1;
	for (int i = 0; i<n; i++) {
		if (niz[i] == broj) index = i;
		else if (-niz[i] == broj) index = i;
	}
	if ((pozicija - index)%2 == 0 and niz[index] == broj) return broj;
	else if ((pozicija - index)%2 == 0 and niz[index] == -broj) return -broj;	
	else if ((pozicija - index)%2 != 0 and niz[index] == broj) return -broj;
	else if ((pozicija - index)%2 != 0 and niz[index] == -broj) return broj;
 }

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	int t;
	cin >> t;
	for (int k = 0; k<t; k++) {
		int n;
		cin >> n;
		int a[n], b[n];
		for (int j = 0; j<n; j++)
			cin >> a[j];
		for (int j = 0; j<n; j++)
			cin >> b[j];
			
		a[0] = premesti(a, n, 1, 0);
		b[0] = premesti(b, n, 1, 0);
		if (b[0] == a[0]) cout << "DA";
		else cout << "NE";		
	}
	
return 0;
}